org.springframework.aop.framework.adapter

## Class MethodBeforeAdviceInterceptor

- java.lang.Object
- - org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor

All Implemented Interfaces:
  Serializable, Advice, Interceptor, MethodInterceptor

    public class MethodBeforeAdviceInterceptor
    extends Object
    implements MethodInterceptor, Serializable

Interceptor to wrap am `MethodBeforeAdvice`. Used internally by the AOP framework; application developers should not need to use this class directly.

Author:
  Rod Johnson
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MethodBeforeAdviceInterceptor(MethodBeforeAdvice advice)` Create a new MethodBeforeAdviceInterceptor for the given advice.

### Method Summary

Methods
`Object` `invoke(MethodInvocation mi)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodBeforeAdviceInterceptor

    public MethodBeforeAdviceInterceptor(MethodBeforeAdvice advice)

Create a new MethodBeforeAdviceInterceptor for the given advice.

Parameters:
  `advice` - the MethodBeforeAdvice to wrap

### Method Detail

#### invoke

    public Object invoke(MethodInvocation mi)
                  throws Throwable

Specified by:
  `invoke` in interface `MethodInterceptor`
Throws:
  `Throwable`